---
name: TypeScript
about: Ask a question about NextAuth.js TypeScript integration
labels:
  - question
  - TypeScript
assignees:
  - lluia
  - balazsorban44
---

## Question 💬

Please provide an in-depth description of the question you have when using NextAuth.js on a Typescript project or when consuming the built-in types for `next-auth`.

Make sure you [link]() to external documentation if necessary and provide inline code examples like so:

```js
function myAwesomeNextAuthFeature() {
  return 💚
}
```

**NOTE:** Questions will be converted to Discussions. You can find them [here](https://github.com/nextauthjs/next-auth/discussions)!

## How to reproduce ☕️

We encourage you to use the template set-up on **CodeSandbox** as a playground to represent your question or doubt:

- [`next-auth-typescript-example`](https://codesandbox.io/s/next-auth-typescript-example-se32w)

## Contributing 🙌🏽

It takes a lot of work 🏋🏻‍♀️ maintaining a library like `next-auth`; any contribution is more than welcome 💚

In case you're willing to help answer this TypeScript question, please let us know here, and we'll reach you 😊 . Otherwise, you can have a look at the issues labelled with [`"good first issue"`](https://github.com/nextauthjs/next-auth/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22) and pick any of them.
